<script setup>
// imports
import { ref } from "vue";
import LoadingComponent from "@/components/main/LoadingComponent.vue";
import { api, error_handler } from "@/services/api.service";
import IconArrow from "@/components/icons/IconArrow.vue";
// data
const loading = ref(true);
const data = ref();
// methods
const getData = () => {
  loading.value = true;
  api
    .get("https://www.ayandehexchange.com/api/load_page/17")
    .then((res) => {
      data.value = res.data.data;
    })
    .catch(() => {
      error_handler();
    })
    .finally(() => {
      loading.value = false;
    });
};
if(!data.value)
getData();
</script>
<template>
  <LoadingComponent v-if="loading" />
  <div
    v-else
    class="max-w-[468px] w-full p-8 mx-auto bg-bg-primary h-full overflow-y-auto relative"
  >
    <router-link to="/" class="flex items-center gap-2 mb-5">
      <IconArrow class="w-[22px]" />
      <div class="text-txt-primary text-[22px] font-bold">Branches</div>
    </router-link>
    <div class="text-txt-primary bg-white rounded-[12px] p-4" v-html="data?.page_body"></div>
  </div>
</template>
